Subject: bug#57079: 29.0.50; Performance of seq-uniq is not very good

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Aug 2022 22:35:54 +0300

>> > My point is that it will never be as fast as the implementations
>> > Stefan deleted, replacing them with seq-uniq.  My point is that those
>> > changes just made several places in Emacs slower, even after your
>> > speedup, for no good reason.  Those deleted functions, if they needed
>> > to be deleted, should have been replaced by a different
>> > implementation, which doesn't support TESTFN and is therefore faster,
>> > as the original implementations, now deleted, were.
>>
>> The performance of the new seq-uniq (called with no TESTFN) is identical
>> to the old gnus-delete-duplicates -- it's the same code.
>
> Yes, and delete-dups on a copy is faster.

delete-dups is faster because its implementation uses the hash table.